Page 1 of 1

Indigo v7 and TED v2.0.0 plugin gives errors on polling

Posted: Sun Apr 02, 2017 7:59 am
by dstrickler
I'm getting these errors since upgrading both Indigo and the TED plugin. I've tried rebooting and re-installing. Anyone have a clue?

Code: Select all

Error                           device "TED5000" state key curEnergyLevel not defined (ignoring update request)
Error                           device "TED5000" state key curEnergyLevel not defined (ignoring update request)
Error                           device "TED5000" state key accumEnergyTotal not defined (ignoring update request)
Error                           device "TED5000" state key accumEnergyTotal not defined (ignoring update request)

Re: Indigo v7 and TED v2.0.0 plugin gives errors on polling

Posted: Sun Apr 16, 2017 7:10 am
by deadsquid
Reconfigure your TED device (e.g. Select the TED device in the DEVICES section of Indigo) and make sure the Model is updated to 5000. If that doesn't correct it, delete the existing device and re-add it (if you have to go this route, you'll need to check anything that used that device (control page variables, etc.). The polling errors should disappear.

Re: Indigo v7 and TED v2.0.0 plugin gives errors on polling

Posted: Sun Apr 16, 2017 11:05 am
by deadsquid
err... set it to the model you have. :D I had a 5000 and got these errors as well, until I reconfigured the device.

Re: Indigo v7 and TED v2.0.0 plugin gives errors on polling

Posted: Sun Apr 16, 2017 12:56 pm
by dstrickler
That did it - thanks!